---
title: "Feature Highlight: Subscribe to Label"
date: 2016-04-13
author: Job van der Voort
author_twitter: Jobvo
categories:
image_title: /images/unsplash/ios-development.jpg
---

In active projects, it can be hard to keep track of issues that are important to you.
For example, a project like GitLab has thousands of issues, but you might only
be interested in those related to *performance*.

You can already mention people in GitLab by using someone's @-handle, but as
more people join a project, it becomes harder to keep track of who is interested in what.

To solve this, in GitLab 8.6 and up, you can subscribe to a label.
Whenever an issue is tagged with the label you subscribed to, you will get
a notification. This is irrespective of your notification level to the project.

<!-- more -->

## How to Subscribe to a Label

To subscribe to a label, visit the labels in your project and click on subscribe
for any of the labels.

![Subscribe to Label](/images/blogimages/gitlab-subscribe-labels.png)

You will now get a notification whenever any issues or merge requests get
tagged with this label.

## At GitLab

[Yorick](https://twitter.com/Yorickpeterse), resident performance expert at
GitLab, is subscribed to the performance
label. This allows him to cut through the noise of the thousands of issues
created in the various GitLab projects and focus on anything related to
performance.

Everyone on the team does their best to tag issues with a relevant label.
Whenever someone adds the `performance` label to an issue, Yorick immediately
gets a notification, without having to watch Issues closely.

Having recently joined GitLab, Amara Nwaigwe immediately started using the
Subscribe to Label feature. She says:

> "I subscribe to various labels because they relate to things I would like to
know. I want to maintain a level of visibility of things that are relevant to
me"

We hope you like this feature!

## What's coming next?

If you're curious what is coming next in GitLab, you can always visit our
[Direction](/direction/) page for insight into our
roadmap. We always love your feedback.
